# -*- Mode: Python; coding: utf-8; indent-tabs-mode: nil; tab-width: 4 -*-
# Copyright 2012 Canonical
#
# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU General Public License version 3, as published
# by the Free Software Foundation.

class MainWindow(object):
    """An emulator class that makes it easy to interact with the notes app."""

    def __init__(self, app):
        self.app = app

    def get_qml_view(self):
        return self.app.select_single("QQuickView")

    def get_notes(self):
        return self.app.select_many("NoteItem")

    def get_header(self):
        return self.app.select_single("Header")

    def get_note_content(self, note_item):
        return note_item.select_single("MixedEdit")

    def get_note_parts(self, note_item):
        edit = note_item.select_single("MixedEdit")
        parts = edit.select_single("QQuickColumn").get_children_by_type("QQuickLoader")
        return parts
